数据提供商: Financial Datasets
根据股票代码或CIK查询公司的资产负债表(Financial Datasets)
$0.02 / 次调用在 45 秒内响应
可以按股票代码或CIK查询上市公司的标准化资产负债表:包括每个期末的总资产、流动资产、现金及等价物、总负债、流动负债、总债务以及股东权益等内容。可以选择年度、季度或最近十二个月作为统计周期;每页显示的资产负债表数量最多为100份,同时会提供跳转到下一页的游标。可按 report_period 或 filing_date 缩小范围,两者都支持 gte、lte、gt 和 lt 边界。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the Financial Datasets endpoint /financials/balance-sheets on Glasser.bash
glasser run -p financialdatasets -e '/financials/balance-sheets' -i '{"limit":1,"period":"annual","ticker":"AAPL"}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"financialdatasets","endpoint":"/financials/balance-sheets","input":{"limit":1,"period":"annual","ticker":"AAPL"},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
制作财务研究表格时,可以收集公司披露的数值,并明确保留对应期间和单位。
复制此提示词到你的 Agent,整理研究所需的披露数值。
提示词
Use financialdatasets:/financials/balance-sheets on Glasser.
Pull my company's reported figures into a table with the periods and units returned.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"period"
],
"properties": {
"cik": {
"type": "string",
"pattern": "^\\d{1,10}$"
},
"limit": {
"type": "integer",
"maximum": 100,
"minimum": 1
},
"cursor": {
"type": "string",
"maxLength": 2000,
"minLength": 1
},
"period": {
"enum": [
"annual",
"quarterly",
"ttm"
],
"type": "string"
},
"ticker": {
"type": "string",
"pattern": "^[A-Za-z0-9.-]{1,12}$"
},
"filing_date": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"report_period": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"filing_date_gt": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"filing_date_lt": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"filing_date_gte": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"filing_date_lte": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"report_period_gt": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"report_period_lt": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"report_period_gte": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
},
"report_period_lte": {
"type": "string",
"pattern": "^\\d{4}-\\d{2}-\\d{2}$"
}
},
"additionalProperties": false
}json
{
"limit": 1,
"period": "annual",
"ticker": "AAPL"
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 返回数据或无匹配 | 有无匹配数据均按此价格收费。 | $0.02 |
|---|---|---|
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |